package com.example.math.enums;

import lombok.Getter;

/**
 * @Author: 陈璐
 * @CreateTime: 2024-08-12 15:24
 * @Description: 一键起飞结果实践通知 通用雨flyto事件
 * @Version: 1.0
 */
public enum TakeOffToPointEnum {

    TASK_FINISH("task_finish","一键起飞任务完成"),

    TASK_READY("task_ready","准备起飞" ),

    WAYLINE_CANCEL("wayline_cancel","取消飞向目标点" ),

    WAYLINE_FAILED("wayline_failed","执行失败" ),

    WAYLINE_OK("wayline_ok","执行成功，已飞向目标点" ),

    WAYLINE_PROGRESS("wayline_progress","执行中" ),

    ;

    TakeOffToPointEnum(String code, String value){
        this.code = code;
        this.value = value;
    }

    @Getter
    private String code;

    @Getter
    private String value;

}
